| Kea 3.0.2-git

filesystem.cc File Reference
`#include <config.h>`
`#include <exceptions/exceptions.h>`
`#include <util/filesystem.h>`
`#include <util/str.h>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <fstream>`
`#include <string>`
`#include <iostream>`
`#include <dirent.h>`
`#include <fcntl.h>`
Include dependency graph for filesystem.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::file

## Functions
bool | isc::util::file::exists (const std::string &path)
| Check if there is a file or directory at the given path.
string | isc::util::file::getContent (const std::string &file_name)
| Get the content of a regular file.
mode_t | isc::util::file::getPermissions (const std::string path)
| Fetches the file permissions mask.
bool | isc::util::file::hasPermissions (const std::string path, const mode_t &permissions)
| Check if there if file or directory has the given permissions.
bool | isc::util::file::isDir (const std::string &path)
| Check if there is a directory at the given path.
bool | isc::util::file::isFile (const std::string &path)
| Check if there is a file at the given path.
bool | isc::util::file::isSocket (const std::string &path)
| Check if there is a socket at the given path.
void | isc::util::file::setUmask ()
| Set umask (at least 0027 i.e. no group write and no other access).